document.addEventListener('DOMContentLoaded', () => {
  const playButton = document.getElementById('playButton');
  const playerSelect = document.querySelector('.player-select');
  const startButton = document.getElementById('startButton');
  const playerCountInput = document.getElementById('playerCount');

  playButton.addEventListener('click', () => {
    document.querySelector('.hero').classList.add('hidden');
    playerSelect.classList.remove('hidden');
  });

  startButton.addEventListener('click', () => {
    const playerCount = parseInt(playerCountInput.value);
    if (playerCount > 0 && playerCount <= 10) {
      alert(`Starting game with ${playerCount} players!`);
      // Add your game start logic here
    } else {
      alert('Please enter a valid number of players (1-10)');
    }
  });
});